<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a>{:lang('ALL_DATA')}</a></li>
        <li><a href="{:url('theme/fileArrayDataEdit',['tab'=>$tab,'var'=>$var,'file_id'=>$file_id,'widget'=>$widget])}">{:lang('ADD_DATA')}</a>
        </li>
    </ul>
    <form method="post" class="js-ajax-form margin-top-20">
        <table class="table table-hover table-bordered table-list">
            <thead>
            <tr>
                <foreach name="array_item" item="vo">
                    <th>{$vo.title}</th>
                </foreach>
                <th width="120">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="array_items" item="item" key="itemKey">
                <tr>
                    <foreach name="array_item" item="vo">
                        <td>
                            <switch name="vo.type">
                                <case value="image">
                                    <notempty name="$item[$key]">
                                        <img src="{:cmf_get_image_preview_url($item[$key])}" style="height:100px;"/>
                                    </notempty>
                                </case>
                                <default>
                                    {$item[$key]|default=''}
                                </default>
                            </switch>
                        </td>
                    </foreach>
                    <td>
                        <a href="{:url('theme/fileArrayDataEdit',['tab'=>$tab,'var'=>$var,'file_id'=>$file_id,'widget'=>$widget,'item_index'=>$itemKey])}">{:lang('EDIT')}</a>
                        <a href="{:url('theme/fileArrayDataDelete',['tab'=>$tab,'var'=>$var,'file_id'=>$file_id,'widget'=>$widget,'item_index'=>$itemKey])}"
                           class="js-ajax-delete">{:lang('DELETE')}</a>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
<script>
    function confirm() {
        return true;
    }
</script>
</body>
</html>
